Subject: RE: [Ltru] singleton (was: First draft published, please comment)

From: "Addison Phillips" <[email-masked]>
Date: Wed, 16 Mar 2005 17:35:12 -0800

Fenner's parser doesn't like the new ABNF. I can make it ugly in the manner suggested easily enough, though. It isn't very friendly, but I don't think it matters. Perhaps:

singleton       = %x41-57 / %x59-6A / %x61-77 / %x79-7A
                ; "a"-"w" / "y"-"z" / "A"-"W" / "Y"-"Z" 
                ; Single letters: x/X is reserved for private use

With regard to the references, these have not been cleaned in awhile. RFC 1521 is a dead reference. It was carried forward from RFC 3066... but wasn't referenced in that RFC either, merely carried forward from RFC 1766, Section 4.1.

I can update the reference or we could just expunge it altogether.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Frank Ellermann
> Sent: Wednesday, March 16, 2005 5:14 PM
> To: [email-masked]
> Subject: [Ltru] singleton (was: First draft published, please comment)
> 
> Martin Duerst wrote:
> 
> > For minor editorial stuff, please put a series of comments
> > into one email.
> 
> Minor fix, already posted as a comment for draft-10, but it did
> not make into the new draft:
> 
> | One comment says that the singleton-ABNF is not yet finished:
> |
> <https://datatracker.ietf.org/public/pidtracker.cgi?command=view_comment&i
> d=31580>
> 
> | That's an 2234 oddity, if you say "x" or "X" then it's always
> | case insensitive, therefore you need %d120 or %d88 for a case
> | sensitive "x" vs. "X".  A possible solution for draft-11:
> 
> |  privateuse = "x" 1*("-" (1*8alphanum)) ; private use subtag(s)
> |  singleton  = ALPHA ; Single letters: x/X is for private use
> 
> Looking again at it that's still not correct, it should be:
> 
>    singleton  =  %x41-57 / %x59-6A / %x61-77 / %x79-7A
>                  ; ALPHA excl. "x" / "X" for private use
> 
> <http://www.apps.ietf.org/abnf.html> doesn't care about these
> subtle details, but <http://irg.attlabs.net/~fenner/abnf.cgi>
> likes the new ugly "singleton" and the simplified "privateuse".
> 
> RfC 2234 belongs to the future "normative references" in the
> next draft.
> 
> RfC 1521 in the references is old, it's also apparently not
> used in the text as [8] or 1521.  Maybe add [8] to the word
> MIME in 2.4, and replace RfC 1521 by 2045.  That would go to
> the "informative references" in the next draft.
> 
>                              Bye, Frank
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 18 Mar 2005 07:33:39 +0100

>             ; Single letters: x/X is reserved for private use

Yes, that's fine.  AFAIK as editor you're free to edit whatever
you think needs editing without intervention of Martin or Randy
after the initial -00 version, unless it's a hot issue where a
"rough consensus" isn't obvious.

For the references simply delete what you don't need.  If Bruce
has something to say about RfC 2231 he will do it, I'll scream,
and Randy or Martin would say that Bruce is right, as always.

It's only me who needs the screaming when RfC 2231 is affected,
language tags in a multi-line boundary don't make this worse as
it already is, and it has almost nothing to do with your draft.

What you IIRC really need are both "normative references" and
"informative references", with e.g. RfC 2234 as "normative".
Or as Scott said later RfC 2234bis, this should be ready soon,
unless Bruce finds a problem in the 2234bis draft.  Bye, Frank

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 17 Mar 2005 23:09:43 -0800

Hi -

> From: "Frank Ellermann" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 17, 2005 10:33 PM
> Subject: [Ltru] Re: singleton
...
> "rough consensus" isn't obvious.
...

In general that is how most WGs operate.   The co-chairs here are
simply being extra-cautious in verifying rough consensus for the
technical edits.  We have quite a few participants who are not
as well versed in the IETF way of doing things as one might like.
As the WG matures in the coming weeks, we hope to start
operating more like other WGs, and shift more of the work
from the co-chairs to the editors.  :-)

Randy

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Fri, 18 Mar 2005 06:57:52 -0500

> unless Bruce finds a problem in the 2234bis draft.  Bye, Frank

Separation of references into normative and informative subsections is
required these days.

2234bis is out:

http://www.ietf.org/internet-drafts/draft-crocker-abnf-rfc2234bis-00.txt

-Scott-